Redmine - Defect #20556

Redirect to HTTPS
2015-08-18 14:13 - Dennis Olsson

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Website (redmine.org) Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

http://www.redmine.org/account/register and other sensitive pages should (IMHO) redirect to HTTPS when passwords are involved.
Even better would be to redirect all traffic, since session cookies are involved and impersonation is trivial if you are in the right/wrong
position/place.

Adding as a defect since HTTPS is configured on the server.

Related issues:

Related to Redmine - Feature #25764: Redmine site shoud send emails with HTTP... Closed
Related to Redmine - Defect #32434: Serve redmine.org over https Closed
History

#2 - 2017-05-04 16:05 - Fernando Hartmann

+1

#3 - 2017-05-05 05:29 - Toshi MARUYAMA
- Related to Feature #25764: Redmine site shoud send emails with HTTPS links added

#4 - 2018-07-26 15:13 - Fernando Hartmann

It become more important, because now Chrome is showing HTTP sites as Not Secure

#5 - 2019-11-07 12:53 - Bernhard Rohloff
- Related to Defect #32434: Serve redmine.org over https added

#6 - 2020-01-10 03:27 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

The server now redirects HTTP traffic to HTTPS.

$ curl --head http://www.redmine.org/
HTTP/1.1 302 Found

Cache-Control: no-cache
Content-length: 0

Location: https://www.redmine.org/
http://www.redmine.org/account/register
https://security.googleblog.com/2018/02/a-secure-web-is-here-to-stay.html
https://security.googleblog.com/2018/02/a-secure-web-is-here-to-stay.html
http://www.tcpdf.org

